CVE-2023-34319

Name
CVE-2023-34319
Description
The fix for XSA-423 added logic to Linux'es netback driver to deal with a frontend splitting a packet in a way such that not all of the headers would come in one piece. Unfortunately the logic introduced there didn't account for the extreme case of the entire packet being split into as many pieces as permitted by the protocol, yet still being smaller than the area that's specially dealt with to keep all (possible) headers together. Such an unusual packet would therefore trigger a buffer overrun in the driver.
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://xenbits.xenproject.org/xsa/advisory-438.html
Mitigation https://xenbits.xenproject.org/xsa/advisory-432.html
security@xen.org http://packetstormsecurity.com/files/175963/Kernel-Live-Patch-Security-Notice-LSN-0099-1.html
security@xen.org https://lists.debian.org/debian-lts-announce/2024/01/msg00004.html
security@xen.org https://security.netapp.com/advisory/ntap-20240202-0001/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:o:xen:xen:*:*:*:*:*:*:x86:* xen >= 3.2.0 <= None

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
xen 3.15-main 4.15.5-r4 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
xen 3.19-main 4.18.2-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
xen 3.18-main 4.17.4-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
xen 3.17-main 4.16.6-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
xen 3.16-main 4.16.6-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
xen edge-main 4.18.2-r1 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable